<!doctype html>
<html lang=fr>
	<?php
	session_start();
	if(!isset($_SESSION['Autorisation']) or $_SESSION['Autorisation'] != 99 ){
		//si pas d'autorisation ou autrisation <> 99 (autorisation temporaire)
		header("Location: index.php");
		exit();
	}
	?>
	<head>
		<title>
			INSCRIPTION TEMPORAIRE
		</title>
		<meta charset=utf-8>
		<link rel="stylesheet" href="nogstyle.css">
	</head>

	<body>
		<header>
			<?php include('includes/header_simple.inc')?>
		</header>

		<article>

			<?php
			// Récup données"
			require ('connect/mysqli_connect.php'); //connection bdd
			if($_SERVER['REQUEST_METHOD'] == 'POST'){
				$Nom      = mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['Nom']))); //majuscules
				$Prenom   = ucfirst(mysqli_real_escape_string($dbcon, trim($_POST['Prenom'])));	//1ere lettre maj
				$Ident    = mb_strtolower(mysqli_real_escape_string($dbcon, trim($_POST['Ident'])));
				$email    = mysqli_real_escape_string($dbcon, trim($_POST['email']));
				$Numins   = mysqli_real_escape_string($dbcon, trim($_POST['Numins']));
				$Mdp1     = mysqli_real_escape_string($dbcon, trim($_POST['Mdp1']));
				$Mdp2     = mysqli_real_escape_string($dbcon, trim($_POST['Mdp2']));
				$Session  = mysqli_real_escape_string($dbcon, trim($_POST['Session']));
				$Etab     = $_SESSION['CodeEtablissement'];
				$datejour = date("Y/m/d");

				//Vérif données
				$errors   = array();

				$q      = "SELECT LoginAct FROM acteur WHERE LoginAct = '$Ident'";
				$result = @mysqli_query($dbcon, $q);
				//  Identifiant ne doit contenir que de l'alphanumérique et de longueur 6 à 30
				if(!preg_match('/^[a-zA-z0-9._-]{6,30}$/',$Ident)){
					$errors[] = ' L\'identifiant est incorrect (de 6 à 30 caractères alphanumériques minuscules sans espaces) : '.$Ident;
				}
				elseif(mysqli_num_rows($result) !== 0)// -- Identifiant déjà utilisé ??Recherche des lignes avec le même identifiant mais pas le mêm numAct
				{
					$errors[] = ' Cet identifiant est utilisé par quelqu\'un d\'autre : '.$Ident;
				}
				if(empty($Nom)){
					$errors[] = 'Le nom est vide';
				}


				// MDP Verif Mdp1
				// Check that a password has been entered, if so, does it match the confirmed password
				if(empty($Mdp1)){
					$errors[] = 'Entrer un mot de passe valide : utiliser de 6 à 12 caratères sans espaces';
				}
				if(!preg_match('/^\w{6,12}$/',$Mdp1)) // le Mdp ne doit contenir que de l'alphanumérique et de longueur 6 à 12
				{
					$errors[] = 'Mdp incorrect, Utiliser de 6 à 12 caratères/chiffres sans espace.';
				}
				if($Mdp1 !== $Mdp2){
					$errors[] = 'Les deux mots de passe sont différents';
				}

				// Verif Date naisssance
				if(empty($_POST['jour']) || empty($_POST['mois']) || empty($_POST['annee'])){
					//date naiss non renseignée
					$datenaiss = '1900-01-01';
				}
				else
				{
					$datenaiss = $_POST['annee'] .'-'. $_POST['mois'] .'-' . $_POST['jour'];
					if(($timestamp = strtotime($datenaiss)) === false)
					{
						$errors[] = "bug ds date";
					}
				}

				// si pas d'erreurs on met à jour la Bdd'
				if(empty($errors)){
					//ajout dans la table Acteur avec autorisation temporaire 99
					$q      = "INSERT INTO acteur(LoginAct,NomAct,PrenomAct,mailAct,NumInscAct ,MdpAct,datenaissAct,DateEnr,SessionExam,Autorisation,CodeEtablissement) VALUES ('$Ident','$Nom','$Prenom','$email','$Numins','$Mdp1','$datenaiss','$datejour','$Session',99,'$Etab')";

					$result = @mysqli_query ($dbcon, $q)or die(('erreur de sql'.$q.'<br>'.mysqli_error()));
					if(mysqli_affected_rows($dbcon) == 1){
						// If it ran OK
						echo '<div class="alert succes">NSCRIPTION REUSSIE : Informez votre professeur afin qu\'il la valide';
						echo '<p>Retour au MENU PRINCIPAL &nbsp';
						echo '<a class="bouton10" href="index.php?">OK</a></p>';
						echo'</div>';
					}
					else
					{
						echo '<p class="error">ERREUR SQL Pas de mise à jour erreur bdd .</p>'; // Echo a message if the query failed
					}
				}
				else
				{
					// Display the errors
					echo '<div class="alert echec"> L\'inscription a échouée : Réessayez ! <br />';
					foreach($errors as $msg){
						// Echo each error.
						echo " - $msg <br/>\n";
					}
					echo'</div>';
				} // End of if (empty($errors))section
			}
			?>
			<!-------------------------------DEBUT FAGE----------------------------------------------------->
			<h3>
				Demande d'inscription étudiant
			</h3>


			<form class="centre" action="<?php echo htmlspecialchars($_SERVER['REQUEST_URI'], ENT_QUOTES); ?>" method="post">
				<span class = "commentaire">* Champs obligatoires</span>	<br/>
				<p>
					<label class="label300d" >
						Nom*
					</label>
					<input  type="text" name="Nom" size="30" maxlength="30">
				</p>
				<p>
					<label class="label300d" for="Prenom">
						Prénom
					</label>
					<input  type="text" name="Prenom" size="30" maxlength="30">
				</p>
				<p>
				<label class="label300d" >
					Identifiant*
				</label>
				<input  type="text" name="Ident" size="30" maxlength="30" placeholder="6 caractères minimum sans espace">
				<label class="commentaire">
					(de 6 à 30 caractères alphanumériques minuscules sans espaces)
				</label>

				<p>
					<label class="label300d" for="email">
						Adresse Mail
					</label><input  type="text" name="email" size="30" maxlength="50">
				</p>
				<p>

				<label class="label300d" for="datenaiss">
					Date de naissance
				</label>
				<select name="jour" id="jour">
					<?php
					for($i = 1; $i <= 31; $i++){
						echo '<option value="' . $i . '"';
						echo ">" . $i . "</option>";
					}
					?>
				</select>

				<select name="mois" id="mois">
					<?php
					for($i = 1 ; $i <= 12 ; $i++){
						echo '<option value="' . $i . '"';
						echo ">" . $i . "</option>";
					}
					?>
				</select>

				<select name="annee" id="annee">
					<?php
					for($i = intval(date('Y') - 15); $i >= 1960; $i--){
						echo '<option value="' . $i . '"';
						echo ">" . $i . "</option>";
					}
					?>
				</select>

				<p>
					<label class="label300d" for="Numins">
						Numéro d'incription
					</label>
					<input  type="text" name="Numins" size="10" maxlength="10">
				</p>
				<p>
					<label class="label300d" for="Mdp1">
						Mot de passe*
					</label>
					<input  type="password" name="Mdp1" size="12" maxlength="12">
					<label class="commentaire">
						de 6 à 12 caratères/chiffres sans espaces
					</label>

				</p>
				<p>
					<label class="label300d" for="Mdp2">
						Confirmez mot de passe*
					</label>
					<input  type="password" name="Mdp2" size="12" maxlength="12">

				</p>

				<p>
					<label class="label300d" for="Nom">
						Année de l'examen
					</label>

					<select name="Session">
						<?php
						$annee = intval(date('Y'));
						for($i = $annee - 1; $i <= $annee + 2 ; $i++){
							echo '<option value="' . $i . '"';
							if($annee + 2 == $i){
								echo 'selected="selected"';
							}
							echo ">" . $i . "</option>";
						}
						?>
					</select>
					<label class="commentaire">
						(2ème année de BTS)
					</label>
				</p>
				<br>
				<p class="centre">
					<input type="submit" name="submit" value="S'INSCRIRE">
					<br/>
				</p>
			</form>
		</article>
		<footer>
			<?php include ('includes/footer.inc')?>
		</footer>
	</body>
</html>